<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
MsgBox Method (IEdmVault5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault5 Interface : MsgBox Method (IEdmVault5)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle

bsMsg
  Message to display in the message box

eType
  Optional style of the message box as defined in EdmMBoxType

bsCaption
  Optional string to display for the message box caption

Displays a message box to the user.

# Syntax

Visual Basic |
--- | ---

    Function MsgBox( _
       ByVal lParentWnd As System.Integer, _
       ByVal bsMsg As System.String, _
       Optional ByVal eType As EdmMBoxType, _
       Optional ByVal bsCaption As System.String _
    ) As EdmMBoxResult

C# |
--- | ---

    EdmMBoxResult MsgBox(
       System.int lParentWnd,
       System.string bsMsg,
       EdmMBoxType eType,
       System.string bsCaption
    )

C++/CLI |
--- | ---

    EdmMBoxResult MsgBox(
    &   System.int lParentWnd,
    &   System.String^ bsMsg,
    &   EdmMBoxType eType,
    &   System.String^ bsCaption
    )

#### Parameters

lParentWnd
  Parent window handle
bsMsg
  Message to display in the message box
eType
  Optional style of the message box as defined in EdmMBoxType
bsCaption
  Optional string to display for the message box caption

#### Return Value

Button clicked as defined in EdmMBoxResult

# Example

Notify User When File Changes State (VB.NET)
Notify User When File Changes State (C#)

# Remarks

The only advantage of this method over the standard Visual Basic MsgBox function is that, with this method, you can specify a parent window handle to ensure that the message box stays on top of whatever parent window you have. For add-ins the parent window is usually the File Explorer window.

You do not need to call IEdmVault5::Login or IEdmVault5::LoginAuto before calling this method.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The user pressed Cancel.

# See Also

####

IEdmVault5 Interface
IEdmVault5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2